/// <reference types="react" />
import './style/radioField.style.css';
export type RadioFieldType = Array<{
    name: string;
    value?: string;
}>;
export type RadioFieldProps = {
    fieldName?: string;
    checked?: boolean;
    required?: boolean;
    validationErrorMessage?: string;
    formGroupClasses?: string;
    labelClasses?: string;
    checkClasses?: string;
    label?: string;
    onChange?: any;
    options?: RadioFieldType;
    register?: any;
};
export declare const RadioField: (props: RadioFieldProps) => JSX.Element;
