import React from 'react';
import './style/withForm.style.css';
import { FieldValues } from 'react-hook-form';
export type WrappedComponentPropsType = {
    register: any;
    errors: any;
    controller: any;
    control: any;
};
export type WithFormPropsType = {
    formSubmittedCallback: (data: FieldValues) => void;
    submitButtonLabel?: string;
    submitButtonClassName?: string;
};
export declare const withForm: (WrappedComponent: React.ElementType) => (props: WithFormPropsType) => JSX.Element;
